// RecommendationsPage.aspx
// Reading session data from the user.

using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace Sessions
{
   /// <summary>
   /// page displaying session information and recommendations
   /// </summary>
   public partial class RecommendationsPage : System.Web.UI.Page
   {
      // event handler for Init event
      override protected void OnInit( EventArgs e )
      {
         // determine if Session contains information
         if ( Session != null && Session.Count > 0)
         {
            // iterate through Session values,
            // display in ListBox
            for ( int i = 0; i < Session.Count; i++ )
            {
               // store current key in sessionName
               string keyName = Session.Keys[ i ];

               // use current key to display
               // Session's name/value pairs
               booksListBox.Items.Add( keyName +
                  " How to Program. ISBN#: " +
                  Session[ keyName ] );

            } // end for
         }
         else
         {
            recommendationsLabel.Text = "No Recommendations";
            booksListBox.Visible = false;
         }
      } // end method OnInit

   } // end class RecommendationsPage

} // end namespace Sessions