﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.IO;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        FillMessageTable();
    }
    protected void clearButton_Click(object sender, EventArgs e)
    {
        nameTextBox.Text = "";
        emailTextBox.Text = "";
        messageTextBox.Text = "";
    }
    protected void submitButton_Click(object sender, EventArgs e)
    {
        // open stream for appending to file
        StreamWriter guestbook =
           new StreamWriter(Request.PhysicalApplicationPath +
           "App_Data\\guestbook.txt", true);

        // write new message to file
        guestbook.WriteLine(
           DateTime.Now.Date.ToString().Substring(0, 10) +
           "\t" + nameTextBox.Text + "\t" + emailTextBox.Text
           + "\t" + messageTextBox.Text);

        // clear textboxes and close stream
        nameTextBox.Text = "";
        emailTextBox.Text = "";
        messageTextBox.Text = "";
        guestbook.Close();

        FillMessageTable();
    }

    private void FillMessageTable()
    {
        System.Data.DataTable table = new System.Data.DataTable();
        table.Columns.Add("Date");
        table.Columns.Add("Name");
        table.Columns.Add("E-mail");
        table.Columns.Add("Message");

        // open guest book file for reading
        StreamReader reader = new StreamReader(
           Request.PhysicalApplicationPath +"App_Data\\guestbook.txt");

        char[] separator = { '\t' };

        // read in line from file
        string message = reader.ReadLine();

        while (message != null)
        {
            // split the string into its four parts
            string[] parts = message.Split(separator);

            // load data into table
            table.LoadDataRow(parts, true);

            // read in one line from file
            message = reader.ReadLine();
        }

        // update grid
        messageGridView.DataSource = table;
        messageGridView.DataBind();

        reader.Close();
    }
}
